Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

boundary objects?

6 REPLIES 6
Reply
Message 1 of 7
Anonymous
201 Views, 6 Replies

boundary objects?

When creating a boundary by using the boundary command and picking an
internal point, is it possible to determine the entities the boundary uses
as the outer edges?

Thanks again!
6 REPLIES 6
Message 2 of 7
Anonymous
in reply to: Anonymous

As far as I know, it uses a selection from all the objects visible on the screen.
Message 3 of 7
Anonymous
in reply to: Anonymous

Devitq found trhat attached is working wrong
Sorry for that
Try this insted it will return the selection set of
parent edges I hope
I can't to test it extensively, try it by your self

(defun getedges (/ )
(vl-load-com)
(setq pt (getpoint "\nPick internal point: "))
(command "._-boundary" pt "")
(setq boundary (entlast))
(setq obj (vlax-ename->vla-object boundary))
(setq len (vlax-curve-getdistatparam obj (vlax-curve-getendparam obj)))

(setq div 1024); number of division
(setq step (/ len div)
dis step
)
(repeat div
(setq pt (vlax-curve-getpointatdist obj dis)
pt_list (cons pt pt_list)
dis (+ step dis)
)
)
(setq ss (ssget "F" pt_list))
(ssdel boundary ss)
ss
) Do not use attached lisp routine
Message was edited by: Fatty
Message 4 of 7
Anonymous
in reply to: Anonymous

Sure - in the dialog box the lowest section says boundary set which defaults to the display with a New button - via
which you can select the objects form which the boundary may be determined - make your selection, , then pick
your point.
--
Gordon


"Bob Quinn" wrote in message news:5802472@discussion.autodesk.com...
When creating a boundary by using the boundary command and picking an
internal point, is it possible to determine the entities the boundary uses
as the outer edges?

Thanks again!
Message 5 of 7
Anonymous
in reply to: Anonymous

Thanks, does that routine return the original entities, or the entities
created as part of the new boundary polyline?

Thanks, Bob


When creating a boundary by using the boundary command and picking an
internal point, is it possible to determine the entities the boundary uses
as the outer edges?

Thanks again!
Message 6 of 7
Anonymous
in reply to: Anonymous

/*
return the original entities, or the entities
created as part of the new boundary polyline?
*/

The new boundary - not those objects that could form a closed area.
Message 7 of 7
Anonymous
in reply to: Anonymous

Try edited above

~'J'~

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost